/* @import "_o-top-videos-links"; */

.o-top-videos-links {
  display: flex;
  flex-direction: column-reverse;
  gap: 1.75rem;
}

@media all and (min-width: 1024px) {

.o-top-videos-links {
    display: grid;
    grid-template-columns: repeat(4, 1fr)
}
  }

@media all and (min-width: 1024px) {

.o-top-videos-links__first {
      display: grid;
      grid-template-columns: 1fr 1.75rem 1fr 1.75rem 1fr;
      grid-column: 1 / 4
  }
    }

@media all and (min-width: 1024px) {

.o-top-videos-links__videos {
      grid-column: 1 / 5
  }
    }

.o-top-videos-links__videos :where(*) {
      height: 100%;
    }

.o-top-videos-links__videos .plyr--paused .plyr__controls {
      opacity: 0;
    }

.o-top-videos-links__videos .plyr__controls {
      height: auto;
    }

.o-top-videos-links__videos .plyr--paused .a-video__controls {
      opacity: 0;
    }

.o-top-videos-links__videos .plyr--loading .plyr__control--overlaid {
      display: none;
    }

.o-top-videos-links__videos .plyr .a-video__controls {
      background: linear-gradient(transparent, rgba(0, 0, 0, .75));
      right: 0;
      left: 0;
      transform: none;
      bottom: 0;
      padding: 5px 5px 5px 10px;
      max-width: none;
      gap: 10px;
      flex-direction: row;
      height: auto;
    }

.o-top-videos-links__videos .a-video__progress input, .o-top-videos-links__videos .a-video__tooltip, .o-top-videos-links__videos .plyr__progress__buffer {
      height: auto;
    }

.o-top-videos-links__videos .plyr .a-video__buttons {
      flex-shrink: 0;
      width: auto;
      padding-top: 20px;
    }

.o-top-videos-links__videos .plyr .a-video__timeline {
      flex-grow: 1;
      width: auto;
    }

.o-top-videos-links__videos .plyr__volume {
      flex-grow: 1;
    }

.o-top-videos-links__videos .plyr .a-video__fullscreen {
      min-width: 0;
    }

.o-top-videos-links__videos .a-video__main-controls {
      display: flex;
    }

@media all and (min-width: 1024px) {

.o-top-videos-links__cards {
      min-width: 0;
      grid-column: 5 / 6
  }
    }

@media all and (min-width: 1024px) {

.o-top-videos-links__second {
      margin-left: auto;
      width: 100%;
      grid-column: 4 / 5
  }
    }
